Parameters

price_log
dictionary
listing_id
integer
Required
Description
Membership listing this price applies to.
price
decimal
Required
Description
Price per unit (must be > 0, up to 6 decimal places).
currency_id
integer
Required
Description
Currency ID for this price.
unit_name
string
Description
Human-readable unit label (e.g. `"credit"`, `"token"`, `"point"`).
observed_at
string
Required
Description
ISO-8601 timestamp when this price took effect.
source
string
Description
Origin of the price record (default: `"manual"`).
metadata
dictionary
Description
Arbitrary key-value metadata.
POST/v1/memberships/price_logs
curl https://api.tradly.app/v1/memberships/price_logs \
  -H "Authorization: Bearer YOUR_PUBLISHABLE_OR_SECRET_KEY" \
  -H "Content-Type: application/json" \
  -X POST \
  -d '{
  "price_log": {
    "listing_id": 42,
    "price": "50.000000",
    "currency_id": 1,
    "unit_name": "credit",
    "observed_at": "2026-09-25T00:00:00Z",
    "source": "manual",
    "metadata": {}
  }
}'
RESPONSE
{
  "status": true,
  "data": {
    "price_log": {
      "id": 3,
      "tenant_id": 100,
      "listing_id": 42,
      "price": "50.000000",
      "currency_id": 1,
      "unit_name": "credit",
      "observed_at": "2026-09-25T00:00:00.000Z",
      "source": "manual",
      "metadata": {},
      "created_at": "2026-09-25T08:00:00.000Z"
    }
  }
}